提交 Seedream 5.0 Pro 文生图任务
curl --request POST \
--url https://api.vidgo.ai/api/generate/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "seedream-v5.0-pro",
"callback_url": "https://your-domain.com/callback",
"input": {
"prompt": "A cinematic scene with natural lighting and coherent motion",
"resolution": "1K",
"size": "1:1"
}
}
'import requests
url = "https://api.vidgo.ai/api/generate/submit"
payload = {
"model": "seedream-v5.0-pro",
"callback_url": "https://your-domain.com/callback",
"input": {
"prompt": "A cinematic scene with natural lighting and coherent motion",
"resolution": "1K",
"size": "1:1"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'seedream-v5.0-pro',
callback_url: 'https://your-domain.com/callback',
input: {
prompt: 'A cinematic scene with natural lighting and coherent motion',
resolution: '1K',
size: '1:1'
}
})
};
fetch('https://api.vidgo.ai/api/generate/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vidgo.ai/api/generate/submit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'model' => 'seedream-v5.0-pro',
'callback_url' => 'https://your-domain.com/callback',
'input' => [
'prompt' => 'A cinematic scene with natural lighting and coherent motion',
'resolution' => '1K',
'size' => '1:1'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vidgo.ai/api/generate/submit"
payload := strings.NewReader("{\n \"model\": \"seedream-v5.0-pro\",\n \"callback_url\": \"https://your-domain.com/callback\",\n \"input\": {\n \"prompt\": \"A cinematic scene with natural lighting and coherent motion\",\n \"resolution\": \"1K\",\n \"size\": \"1:1\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.vidgo.ai/api/generate/submit")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"seedream-v5.0-pro\",\n \"callback_url\": \"https://your-domain.com/callback\",\n \"input\": {\n \"prompt\": \"A cinematic scene with natural lighting and coherent motion\",\n \"resolution\": \"1K\",\n \"size\": \"1:1\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vidgo.ai/api/generate/submit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"seedream-v5.0-pro\",\n \"callback_url\": \"https://your-domain.com/callback\",\n \"input\": {\n \"prompt\": \"A cinematic scene with natural lighting and coherent motion\",\n \"resolution\": \"1K\",\n \"size\": \"1:1\"\n }\n}"
response = http.request(request)
puts response.read_body{
"code": 200,
"data": {
"task_id": "<string>",
"status": "not_started",
"created_time": "2023-11-07T05:31:56Z"
}
}Seedream
Seedream 5.0 Pro 文生图
Seedream 5.0 Pro 文生图 API 是 Seedream 旗舰文生图模型,提示词遵循精准,支持版式控制和多语言文字排版。
POST
/
api
/
generate
/
submit
提交 Seedream 5.0 Pro 文生图任务
curl --request POST \
--url https://api.vidgo.ai/api/generate/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "seedream-v5.0-pro",
"callback_url": "https://your-domain.com/callback",
"input": {
"prompt": "A cinematic scene with natural lighting and coherent motion",
"resolution": "1K",
"size": "1:1"
}
}
'import requests
url = "https://api.vidgo.ai/api/generate/submit"
payload = {
"model": "seedream-v5.0-pro",
"callback_url": "https://your-domain.com/callback",
"input": {
"prompt": "A cinematic scene with natural lighting and coherent motion",
"resolution": "1K",
"size": "1:1"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'seedream-v5.0-pro',
callback_url: 'https://your-domain.com/callback',
input: {
prompt: 'A cinematic scene with natural lighting and coherent motion',
resolution: '1K',
size: '1:1'
}
})
};
fetch('https://api.vidgo.ai/api/generate/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vidgo.ai/api/generate/submit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'model' => 'seedream-v5.0-pro',
'callback_url' => 'https://your-domain.com/callback',
'input' => [
'prompt' => 'A cinematic scene with natural lighting and coherent motion',
'resolution' => '1K',
'size' => '1:1'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vidgo.ai/api/generate/submit"
payload := strings.NewReader("{\n \"model\": \"seedream-v5.0-pro\",\n \"callback_url\": \"https://your-domain.com/callback\",\n \"input\": {\n \"prompt\": \"A cinematic scene with natural lighting and coherent motion\",\n \"resolution\": \"1K\",\n \"size\": \"1:1\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.vidgo.ai/api/generate/submit")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"seedream-v5.0-pro\",\n \"callback_url\": \"https://your-domain.com/callback\",\n \"input\": {\n \"prompt\": \"A cinematic scene with natural lighting and coherent motion\",\n \"resolution\": \"1K\",\n \"size\": \"1:1\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vidgo.ai/api/generate/submit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"seedream-v5.0-pro\",\n \"callback_url\": \"https://your-domain.com/callback\",\n \"input\": {\n \"prompt\": \"A cinematic scene with natural lighting and coherent motion\",\n \"resolution\": \"1K\",\n \"size\": \"1:1\"\n }\n}"
response = http.request(request)
puts response.read_body{
"code": 200,
"data": {
"task_id": "<string>",
"status": "not_started",
"created_time": "2023-11-07T05:31:56Z"
}
}- 提交后会返回
task_id。如果提供了callback_url,当任务状态变为finished或failed时,系统会向callback_url发送 POST 请求。 - 无论是否提供
callback_url,都可以通过统一的查询任务状态接口获取结果。
模型
- seedream-v5.0-pro - 旗舰文生图
尺寸参数
input.size 控制输出宽高比,默认 1:1:
- 比例预设:
1:1、4:3、3:4、16:9、9:16、2:3、3:2、21:9
分辨率参数
input.resolution 控制输出分辨率,默认 1K:
- 分辨率预设:
1K、2K
定价
每次请求生成一张图像,按当前 Seedream 5.0 Pro 模型价格计费。调用方式
使用统一提交接口:POST /api/generate/submit
{
"model": "seedream-v5.0-pro",
"callback_url": "https://your-domain.com/callback",
"input": {
"prompt": "A cinematic scene with natural lighting and coherent motion",
"resolution": "1K",
"size": "1:1"
}
}